#pragma once
#include "resource.h"       // main symbols
#include "MSOClipHelper_i.h"


// COfficeClipHelperFactory

class ATL_NO_VTABLE COfficeClipHelperFactory :
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<COfficeClipHelperFactory, &CLSID_OfficeClipHelperFactory>,
	public ISupportErrorInfo,
	public IDispatchImpl<IOfficeClipHelperFactory, &IID_IOfficeClipHelperFactory, &LIBID_MSOClipHelperLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	COfficeClipHelperFactory()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_OFFICECLIPHELPERFACTORY)


BEGIN_COM_MAP(COfficeClipHelperFactory)
	COM_INTERFACE_ENTRY(IOfficeClipHelperFactory)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}

	void FinalRelease()
	{
	}

public:

	STDMETHOD(get_OfficeClipHelper)(IOfficeClipHelper ** pVal);
};

OBJECT_ENTRY_AUTO(__uuidof(OfficeClipHelperFactory), COfficeClipHelperFactory)
